
// Compact Food Spoilage Detector Case

// Dimensions
case_length = 40;   // mm
case_width = 30;    // mm
case_height = 5;    // mm
wall_thickness = 1; // mm

// Main casing module
module casing() {
    difference() {
        cube([case_length, case_width, case_height], center=false);
        translate([wall_thickness, wall_thickness, wall_thickness])
        cube([case_length - 2*wall_thickness, case_width - 2*wall_thickness, case_height - wall_thickness], center=false);
    }
}

// Small LED Indicator hole
module led_indicator() {
    translate([case_length - 5, case_width / 2, case_height - wall_thickness])
    cylinder(h=wall_thickness + 0.5, r=1, center=false);
}

// Small Ventilation holes for gas sensors
module ventilation_holes() {
    for (x = [10, 20, 30]) {
        translate([x, 5, case_height - wall_thickness])
        cylinder(h=wall_thickness + 0.5, r=1, center=false);
    }
}

// NFC/Bluetooth module space (flat antenna)
module antenna_space() {
    translate([5, case_width - 10, wall_thickness])
    cube([10, 5, 0.5], center=false);
}

// Final Assembly
module compact_assembly() {
    difference() {
        casing();
        led_indicator();
        ventilation_holes();
        antenna_space();
    }
}

// Render the final assembly
compact_assembly();
