
// Compact PCB Layout SCAD File for Food Spoilage Detection Device

// Define component modules
module esp32() {
    translate([15, 15, 0]) cube([10, 10, 2]);
}

module gas_sensor() {
    translate([5, 5, 0]) cube([8, 8, 2]);
}

module battery() {
    translate([25, 5, 0]) cylinder(h=2, r=5);
}

module mini_led() {
    translate([32, 20, 0]) cylinder(h=2, r=1);
}

module antenna() {
    translate([15, 27, 0]) cube([10, 2, 0.5]);
}

// Assembly
module compact_pcb() {
    esp32();
    gas_sensor();
    battery();
    mini_led();
    antenna();
}

// Render the final PCB assembly
compact_pcb();
